#include <iostream>
#include <algorithm>
#include <utility>
#include <vector>
#include <queue>
#include <map>
#include <set>
#include <cmath>

using namespace std;

#define ll long long
#define ld long double

int main()
{
    cin.tie(0);
    cout.tie(0);
    ios::sync_with_stdio(false);

    int n;
    cin>>n;

    ll al=0;

    ll a;

    ll ans=0;

    for(int i=0;i<n;i++)
    {
        cin>>a;
        if(a>al)
        {
            ans+=(a-al);
        }
        al=a;
    }

    cout<<ans;

    return 0;
}
